#
# Cookbook Name:: zarafa
# Attributes:: server
#
# Copyright 2012, Daniel van den Berg
#
# All rights reserved - Do Not Redistribute
#

# Server settings
default['zarafa']['server']['server_bind'] = "0.0.0.0"
default['zarafa']['server']['server_tcp_enabled'] = "yes"
default['zarafa']['server']['server_tcp_port'] = 236
default['zarafa']['server']['server_pipe_enabled'] = "yes"
default['zarafa']['server']['server_pipe_name'] = "/var/run/zarafa"
default['zarafa']['server']['server_pipe_priority'] = "/var/run/zarafa-prio"
default['zarafa']['server']['server_name'] = "Zarafa"
default['zarafa']['server']['server_hostname'] = ""
default['zarafa']['server']['database_engine'] = "mysql"
default['zarafa']['server']['allow_local_users'] = "yes"
default['zarafa']['server']['local_admin_users'] = "root zarafa"
default['zarafa']['server']['system_email_address'] = "postmaster@localhost"
default['zarafa']['server']['pid_file'] = "/var/run/zarafa-server.pid"
default['zarafa']['server']['running_path'] = "/"
default['zarafa']['server']['session_timeout'] = 300
default['zarafa']['server']['license_socket'] = "/var/run/zarafa-licensed"
default['zarafa']['server']['license_timeout'] = 10

# Log settings
default['zarafa']['server']['log_method'] = "file"
default['zarafa']['server']['log_file'] = "/var/log/zarafa/server.log"
default['zarafa']['server']['log_level'] = 2
default['zarafa']['server']['log_timestamp'] = 1

# Audit log settings
default['zarafa']['server']['audit_log_enabled'] = "no"
default['zarafa']['server']['audit_log_method'] = "syslog"
default['zarafa']['server']['audit_log_file'] = "/var/log/zarafa/audit.log"
default['zarafa']['server']['audit_log_level'] = 1
default['zarafa']['server']['audit_log_timestamp'] = 1

# MySQL settings
default['zarafa']['server']['mysql_host'] = "localhost"
default['zarafa']['server']['mysql_port'] = 3306
default['zarafa']['server']['mysql_user'] = "root"
default['zarafa']['server']['mysql_password'] = ""
default['zarafa']['server']['mysql_socket'] = ""
default['zarafa']['server']['mysql_database'] = "zarafa"
default['zarafa']['server']['attachment_storage'] = "files"
default['zarafa']['server']['attachment_path'] = "/var/lib/zarafa"
default['zarafa']['server']['attachment_compression'] = 6

# SSL settings
default['zarafa']['server']['server_ssl_enabled'] = "no"
default['zarafa']['server']['server_ssl_port'] = 237
default['zarafa']['server']['server_ssl_key_file'] ="/etc/zarafa/ssl/server.pem" 
default['zarafa']['server']['server_ssl_key_pass'] = ""
default['zarafa']['server']['server_ssl_ca_file'] = "/etc/zarafa/ssl/cacert.pem"
default['zarafa']['server']['server_ssl_ca_path'] = ""
default['zarafa']['server']['sslkeys_path'] = "/etc/zarafa/sslkeys"

# Thread settings
default['zarafa']['server']['threads'] = 8
default['zarafa']['server']['watchdog_frequency'] = 1
default['zarafa']['server']['watchdog_max_age'] = 500
default['zarafa']['server']['server_max_keep_alive_requests'] = 100
default['zarafa']['server']['server_recv_timeout'] = 5
default['zarafa']['server']['server_read_timeout'] = 60
default['zarafa']['server']['server_send_timeout'] = 60

# Other settings
default['zarafa']['server']['softdelete_lifetime'] = 30
default['zarafa']['server']['sync_lifetime'] = 90
default['zarafa']['server']['sync_log_all_changes'] = "yes"
default['zarafa']['server']['enable_sso'] = "no"
default['zarafa']['server']['enable_gab'] = "yes"
default['zarafa']['server']['auth_method'] = "plugin"
default['zarafa']['server']['pam_service'] = "passwd"

# Cache settings
default['zarafa']['server']['cache_cell_size'] = 268435456
default['zarafa']['server']['cache_object_size'] = 5242880
default['zarafa']['server']['cache_indexedobject_size'] = 16777216
default['zarafa']['server']['cache_quota_size'] = 1048576
default['zarafa']['server']['cache_quota_lifetime'] = 1
default['zarafa']['server']['cache_acl_size'] = 1048576
default['zarafa']['server']['cache_store_size'] = 1048576
default['zarafa']['server']['cache_user_size'] = 1048576
default['zarafa']['server']['cache_userdetails_size'] = 26214400
default['zarafa']['server']['cache_userdetails_lifetime'] = 0
default['zarafa']['server']['cache_server_size'] = 1048576
default['zarafa']['server']['cache_server_lifetime'] = 30

# Quota settings
default['zarafa']['server']['quota_warn'] = 0
default['zarafa']['server']['quota_soft'] = 0
default['zarafa']['server']['quota_hard'] = 0
default['zarafa']['server']['companyquota_warn'] = 0

# User plugin settings
default['zarafa']['server']['user_plugin'] = "db"
default['zarafa']['server']['user_plugin_config'] = "/etc/zarafa/ldap.cfg"
default['zarafa']['server']['plugin_path'] = "/usr/lib64/zarafa"
default['zarafa']['server']['createuser_script'] = "/etc/zarafa/userscripts/createuser"
default['zarafa']['server']['deleteuser_script'] = "/etc/zarafa/userscripts/deleteuser"
default['zarafa']['server']['creategroup_script'] = "/etc/zarafa/userscripts/creategroup"
default['zarafa']['server']['deletegroup_script'] = "/etc/zarafa/userscripts/deletegroup"
default['zarafa']['server']['createcompany_script'] = "/etc/zarafa/userscripts/createcompany"
default['zarafa']['server']['deletecompany_script'] = "/etc/zarafa/userscripts/deletecompany"
default['zarafa']['server']['user_safe_mode'] = "no"

# Misc settings
default['zarafa']['server']['thread_stacksize'] = 512
default['zarafa']['server']['enable_hosted_zarafa'] = "false"
default['zarafa']['server']['enable_distributed_zarafa'] = "false"
default['zarafa']['server']['storename_format'] = "%f"
default['zarafa']['server']['loginname_format'] = "%u"
default['zarafa']['server']['client_update_enabled'] = "false"
default['zarafa']['server']['client_update_path'] = "/var/lib/zarafa/client"
default['zarafa']['server']['client_update_log_level'] = 1
default['zarafa']['server']['client_update_log_path'] = "/var/log/zarafa/autoupdate"
default['zarafa']['server']['hide_everyone'] = "no"
default['zarafa']['server']['hide_system'] = "yes"
default['zarafa']['server']['index_services_enabled'] = "no"
default['zarafa']['server']['index_services_path'] = "file:///var/run/zarafa-indexer"
default['zarafa']['server']['index_services_search_timeout'] = 10
default['zarafa']['server']['index_services_prefix_chars'] = 3
default['zarafa']['server']['enable_enhanced_ics'] = "yes"
default['zarafa']['server']['sync_gab_realtime'] = "yes"
default['zarafa']['server']['disabled_features'] = "imap pop3"
default['zarafa']['server']['max_deferred_records'] = 0
default['zarafa']['server']['max_deferred_records_folder'] = 20
